package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 产品信息表
 * 表名 : t_product
 * </pre>
 * @author: Mybatis Generator
 */
public class Product {
    /**
     * <pre>
     * id
     * 表字段 : t_product.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_product.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_product.name
     * </pre>
     */
    private String name;

    /**
     * <pre>
     * 所属保理商
     * 表字段 : t_product.enuu
     * </pre>
     */
    private Integer enuu;

    /**
     * <pre>
     * id
     * 表字段 : t_product.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_product.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_product.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_product.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_product.name
     * </pre>
     */
    public String getName() {
        return name;
    }

    /**
     * <pre>
     * 产品名称
     * 表字段 : t_product.name
     * </pre>
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * <pre>
     * 所属保理商
     * 表字段 : t_product.enuu
     * </pre>
     */
    public Integer getEnuu() {
        return enuu;
    }

    /**
     * <pre>
     * 所属保理商
     * 表字段 : t_product.enuu
     * </pre>
     */
    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }
}